
int be = A0; //0 analog bemenet 
int dc = 0;
float voltbex = 0.00;  // float lebegőpontos szám, egyszerűen tört szám végtelenbe tart
float voltki = 0.00; 
float voltbe = 0.00;
float R1 = 97500.0; //  R1 ellenállás értéke ohm-ban
float R2 = 9700.0; // R2 ellenállás értéke ohm-ban
void setup() {
	// put your setup code here, to run once
	Serial.begin(9600);
	pinMode(be, INPUT);
}
void loop() {
	// put your main code here, to run repeatedly:
	for(int m=0;m<=40;m++){	//40 mintavétel
		dc = analogRead(be); //ad átalakító leolvasása
		voltki = (dc * 5.0) / 1024.0; // 5.0 referencia feszültség 
		voltbe = voltki / (R2/(R1+R2)); //kiszámolás (terheletlen feszültségosztó képlete átrendezve)
		voltbex=voltbex+voltbe; 
		delay(5);
	}
	voltbex=voltbex/40;// átlag számítás
	Serial.println(voltbex);//mért érték kiíratása soros portra
	delay(200);
}
